import { defineStore } from 'pinia'

export const useViewerStore = defineStore({
  id: 'viewer',
  state: () => ({
    fullMode: false,
    currentPage: 0,
    scale: '',
    themeMode: 'Light',
    pageMode: 0,
    scrollMode: 'Vertical',
    pageLabels: [],
    zoomLevel: ['auto', 'page-fit', 0.5, 1, 1.25, 1.5, 2, 2.5],
    activeTab: 0,
    activeLeftPanel: 'THUMBS',
    activeLeftPanelTab: 'THUMBS',
    activeStickNote: false,
    activeActiveMeasure: false,
    activeHand: false
  })
})
